Bug 177298 - Game crashes if using the 'Query tool'
Game crashes if using the 'Query tool'
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: lincity-ng (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-09 05:07 EST by Vittorio Sozzi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 15:40:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vittorio Sozzi 2006-01-09 05:07:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
This happened after upgrading to the latest version using YUM.

When clicking with the query tool in a random construction of the game (can be a residential area, roads... anything) the game exits and returns to linux desktop.

Even clicking on the icon of the 'Query Tool' brigs to the same behaviour.

This seems related to the 'Query Tool' only as I can build roads, hospitals, residential areas without any problems.

Launching lincity-ng from console yields to this output ('vittorio' is my personal non-root user):

Starting lincity-ng (version 1.0.2)...
[/home/vittorio/.lincity] is in the search path.
[/usr/share/lincity-ng] is in the search path.
LINCITY_HOME: /usr/share/lincity-ng
Warning couldn't find music file 'city_blues.ogg'.
Usage:program_name [address][:port]OpenGL Mode 1024x768
Fatal signal: Segmentation Fault (SDL Parachute Deployed)


Version-Release number of selected component (if applicable):
lincity-ng-1.0.2-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. Launch lincity-ng
2. Continue last game or create a new city
3. CLick on the Qury Tool icon, or use the query tool in any contruction of the game.
  

Actual Results:  The game exits and return to the normal desktop.

Expected Results:  It should have opened a window with the construcion options and status.

Additional info:
Comment 1 Vittorio Sozzi 2006-01-13 09:07:59 EST
Here's a backtrace with gdb

(gdb) run
Starting program: /usr/bin/lincity-ng
Reading symbols from shared object read from target memory...(no debugging symbo
ls found)...done.
Loaded system supplied DSO at 0x309000
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208924448 (LWP 20460)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Starting lincity-ng (version 1.0.2)...
[/home/vittorio/.lincity] is in the search path.
[/usr/share/lincity-ng] is in the search path.
LINCITY_HOME: /usr/share/lincity-ng
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Detaching after fork from child process 20465.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 24865712 (LWP 20469)]
[New Thread 35355568 (LWP 20470)]
Warning couldn't find music file 'city_blues.ogg'.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 84569008 (LWP 20471)]
Usage:program_name [address][:port]OpenGL Mode 1024x768
[Thread 35355568 (zombie) exited]
[New Thread 103869360 (LWP 20473)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208924448 (LWP 20460)]
0x080b63e5 in std::operator+<char, std::char_traits<char>, std::allocator<char> > ()
(gdb) bt
#0  0x080b63e5 in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
#1  0x08089bab in std::char_traits<char>::eq ()
#2  0x08061329 in std::char_traits<char>::eq ()
#3  0x080912c0 in std::char_traits<char>::eq ()
#4  0x0809161a in std::char_traits<char>::eq ()
#5  0x0809626d in std::char_traits<char>::eq ()
#6  0x08056297 in ?? ()
#7  0x080745d2 in std::char_traits<char>::eq ()
#8  0x08076319 in std::char_traits<char>::eq ()
#9  0x00457d5f in __libc_start_main () from /lib/libc.so.6
#10 0x0804daf1 in ?? ()
Comment 2 Tom "spot" Callaway 2006-02-09 18:26:50 EST
I can't reproduce this in FC5 (query tool works fine). I don't have any FC4
machines at the moment to test this with. :/

What kind of graphics hardware are you using? If it's NVIDIA/ATI, are you using
their 3d/GL implementation?
Comment 3 Vittorio Sozzi 2006-02-09 18:46:11 EST
I have a NVIDIA GeForxe4 MX400 Card and I'm using their 3d implementation
(installed using Livna's RPMS)
Comment 4 Tom "spot" Callaway 2006-08-22 15:40:32 EDT
Not sure about this one. FC-4 is end of life now, the GL implementation being
used is NVIDIA closed source, and I could never reproduce this on FC-5 (with or
without the NVIDIA bits).

If this is still a problem on FC-5 or FC-6, please reopen.

Note You need to log in before you can comment on or make changes to this bug.